Package org.apache.cxf.ws.addressing

# Annotation Interface FaultAction

@Retention(RUNTIME) @Inherited @Target(TYPE) public @interface FaultAction
If applied on an exception type, the value specifies the WS-Addressing Action which will be applied if this exception is thrown from a WSA-enabled service. This setting overrides any other settings, for example from @jakarta.xml.ws.Action. If the value is null, this annotation is ignored.

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `value`

- ## Element Details

  - ### value

    String value